Skip to main content
`Ctrl`+`K`

# SVDTRLanczosGetOneSide

Gets if the variant of the Lanczos method to be used is one-sided or two-sided.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDTRLanczosGetOneSide(SVD svd,PetscBool *oneside)

Not Collective

## Input Parameter

- svd - the singular value solver context

## Output Parameter

- oneside - boolean flag indicating if the method is one-sided or not

## See Also

SVD: Singular Value Decomposition, `SVDTRLANCZOS`, `SVDTRLanczosSetOneSide()`

## Level

advanced

## Location

src/svd/impls/trlanczos/trlanczos.c

## Implementations

SVDTRLanczosGetOneSide_TRLanczos() in src/svd/impls/trlanczos/trlanczos.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages